# Bookmark

class Bookmark extends Resource

Description of Bookmark

## Methods

getInterHash()

No description

from Resource
getIntraHash()

No description

from Resource
setInterHash($interHash)

No description

from Resource
setIntraHash($intraHash)

No description

from Resource
__toString()

No description

string
getTitle()

No description

void
setTitle(string $title)

No description

mixed
compare(Resource $b, string $sortingValue)

No description

__construct()

No description

getHref()

No description

setHref($href)

No description

## Details

###
in Resource at line 55
`getInterHash()`

###
in Resource at line 59
`getIntraHash()`

###
in Resource at line 63
`setInterHash($interHash)`

#### Parameters

| $interHash |

###
in Resource at line 67
`setIntraHash($intraHash)`

#### Parameters

| $intraHash |

###
at line 91
`__toString()`

###
at line 82
`string getTitle()`

#### Return Value

string |

###
at line 86
`void setTitle(string $title)`

#### Parameters

string | $title |

#### Return Value

void |

###
at line 101
`mixed compare(Resource $b, string $sortingValue)`

#### Parameters

Resource | $b |
string | $sortingValue |

#### Return Value

mixed |

###
at line 50
`__construct()`

###
at line 72
`getHref()`

###
at line 76
`setHref($href)`

#### Parameters

| $href |